---

- name: Deploy SSH keys for the ansible account
  authorized_key:
    user: ansible
    key: "{{ system_ansible_ssh_keys | join(\"\n\") }}"
    key_options: "{{ system_ansible_ssh_keys_options | join(',') }}"
    exclusive: True
  when:
    - system_ansible_ssh_keys is defined
    - system_ansible_ssh_keys | length > 0
    - system_ansible_src_ip is not defined or system_ansible_src_ip | length < 1
  tags: system,ssh

- name: Deploy SSH keys for the ansible account (with source IP restriction)
  authorized_key:
    user: ansible
    key: "{{ system_ansible_ssh_keys | join(\"\n\") }}"
    key_options: "from=\"{{ system_ansible_src_ip | join(',') }}\",{{ system_ansible_ssh_keys_options | join(',') }}"
    exclusive: True
  when:
    - system_ansible_ssh_keys is defined
    - system_ansible_ssh_keys | length > 0
    - system_ansible_src_ip is defined
    - system_ansible_src_ip | length > 0
  tags: system,ssh
